-- Copyright 2000 UCR all rights reserved
-- this program may be copy or altered so
-- long as this header stays intake
-- Original design Randy January rjanuary@cs.ucr.edu

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.std_logic_arith.all;
use WORK.scpu_lib.all;

entity scpu_obuff is
	port(
	reset : in std_logic;
	O_sel : in std_logic;
	Input : in unsigned (31 downto 0);
	Output: out unsigned (31 downto 0)
	);
end scpu_obuff;

architecture beh of scpu_obuff is
begin
	process (reset, O_sel, Input)
	begin				 
		if (reset = '1') then
			Output <= CD_32;
		elsif (O_sel = '1') then
			Output <= Input;
		else
			Output <= CD_32;
		end if;
	end process;
end beh;
	
		
		
